rte_swx_pkt(3)

NAME
rte_swx_pkt

SYNOPSIS

#include <rte_swx_port.h>

  Data Fields

void * handle
uint8_t * pkt
uint32_t offset
uint32_t length

Detailed Description

Packet.

Definition at line 17 of file rte_swx_port.h.

Field Documentation

  void* handle
Opaque packet handle.

Definition at line 19 of file rte_swx_port.h.

  uint8_t* pkt
Buffer where the packet is stored.

Definition at line 22 of file rte_swx_port.h.

  uint32_t offset
Packet buffer offset of the first packet byte.

Definition at line 25 of file rte_swx_port.h.

  uint32_t length
Packet length in bytes.

Definition at line 28 of file rte_swx_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.